#ifndef STATS_H
#define STATS_H

#ifdef cplusplus
extern "C" {
#endif

typedef struct stats {
  int mb_count;
  int Direct_count8x8; // number of 8x8 Direct with MV 
  int mv_directskip_ge16; //number of MV greater than 0
  int B_4x4; //number B partition <8
  int Bskip_Lx_count;
  int Bskip_bi_count;
  int Bdirect_Lx_count;
  int Bdirect_bi_count;
  int mb_type_PSKIP;
  int mb_type_BSKIP_DIRECT;
  int mb_type_BSKIP;
  int mb_type_BDIRECT;
  int mb_type_BSKIP_DIRECT_temporal;
  int mb_type_BSKIP_DIRECT_spatial;
  int mb_type_P16x16;
  int mb_type_P16x8;
  int mb_type_P8x16;
  int mb_type_SMB8x8;
  int mb_type_SMB8x4;
  int mb_type_SMB4x8;
  int mb_type_SMB4x4;
  int mb_type_P8x8;
  int mb_type_I4MB;
  int mb_type_I16MB;
  int mb_type_IBLOCK;
  int mb_type_SI4MB;
  int mb_type_I8MB;
  int mb_type_IPCM;

  int mb_mode_INTRA;
  int mb_mode_NEWINTRA;
  int mb_mode_OLDINTRA;
  int mb_mode_INTER;
  int mb_mode_INTERMV;
  int mb_mode_DIRECT;
  int mb_mode_COPY;
  int mb_mode_P8x8;

  int skip;
  int i16mode;
  int ipred_mode;

  int mv_unaligned;
  int mv_sub_pixel;
  int mv_half_pix_x;
  int mv_quar_pix_x;
  int mv_half_pix_y;
  int mv_quar_pix_y;

    int num_memory_column_reads;
    int num_max_mem_use;

} stats_t;

stats_t mb_stats;



#ifdef cplusplus
}
#endif

#endif /* def STATS_H */