/*******************************************************************

This software module is provided in full accordance with SMPTE
Administrative Procedures.  
 
This software module was developed by ARM Ltd. under contract by 
Microsoft Corp, and provided by Microsoft Corp to SMPTE.  It was 
edited by:
             
< Placeholder for name/e-mail of other SMPTE members that contribute 
to this module in the future >
            
in the course of development of the SMPTE VC-1 test materials. This 
software module is an implementation of a part of one or more SMPTE 
VC-1 tools as specified by the SMPTE VC-1 standard. 
 
SMPTE gives users of the SMPTE VC-1 standard royalty-free copyright 
license to this software module or modifications thereof for use in 
hardware or software products claiming conformance to the SMPTE VC-1 
standard.  SMPTE does not give users a license under any patents 
relative to the SMPTE VC-1 standard or this software. 
 
Those intending to use this software module in hardware or software 
products are advised that its use may infringe existing patents. The 
companies that developed and provided the original software module, 
the subsequent editors and their companies, and SMPTE have no liability 
for use of this software module or modifications thereof in an 
implementation. 
 
Copyright is not released for non SMPTE VC-1 standard conforming 
products. 
 
The companies listed below retain full right to use their contributed 
code for their own purpose, assign or donate the code to a third party 
and to inhibit third parties from using the code for non SMPTE VC-1 
standard conforming products. 
 
Microsoft Corporation
< Placeholder for other companies whose employees contribute to this 
module in the future> 

This copyright notice must be included in all copies or derivative 
works. 
 
Copyright (c) 2004
******************************************************************/

/*
 * decoder/vc1dec3dhtab.c: SMPTE VC-1 decoder data tables
 *
 *  
 */

/* Include basic types */
#include "vc1types.h"
/* Include any other type definitions that might be needed */
#include "vc1dec.h"
#include "vc1decbit.h"
#include "vc1dec3dh.h"
/* Include the declarations for this file */
#include "vc1dec3dhtab.h"


const vc1DEC_sVLCCode vc1DEC_High_Mot_Intra_VLC [187] = /* Table 170 */
{
  {     0,   186,    15},{     1,     2,     0},{     5,     3,     1},
  {     0,     4,    19},{    13,     4,     2},{    14,     4,   119},
  {     3,     5,    34},{    16,     5,    20},{    18,     5,     3},
  {    19,     5,    46},{    25,     5,   125},{    12,     6,    57},
  {    14,     6,     4},{    48,     6,   130},{    61,     6,    63},
  {    63,     6,   134},{     8,     7,    21},{    17,     7,    35},
  {    19,     7,    68},{    21,     7,     5},{    27,     7,    72},
  {    68,     7,   138},{    69,     7,   120},{    99,     7,   141},
  {   120,     7,    47},{   121,     7,    76},{    19,     8,     6},
  {    21,     8,   143},{    23,     8,   145},{    32,     8,    22},
  {    33,     8,    80},{    44,     8,   147},{    45,     8,   157},
  {    47,     8,   149},{    53,     8,    84},{    63,     8,     7},
  {   141,     8,   151},{   142,     8,   153},{   196,     8,    36},
  {   197,     8,    87},{   251,     8,   155},{    36,     9,    58},
  {    40,     9,   126},{    41,     9,    23},{    44,     9,    93},
  {    72,     9,    90},{    74,     9,ESCAPE},{    75,     9,     8},
  {    83,     9,    64},{   105,     9,    48},{   121,     9,   159},
  {   122,     9,   161},{   124,     9,    69},{   287,     9,     9},
  {   499,     9,   121},{   500,     9,    24},{    75,    10,    37},
  {   146,    10,    96},{   160,    10,    73},{   162,    10,   131},
  {   163,    10,    99},{   165,    10,   135},{   184,    10,    10},
  {   250,    10,    94},{   561,    10,   163},{   562,    10,    49},
  {   563,    10,    25},{   572,    10,    81},{   993,    10,    77},
  {   995,    10,    11},{   996,    10,   164},{   148,    11,    59},
  {   180,    11,    38},{   323,    11,   166},{   370,    11,    12},
  {   372,    11,    88},{   373,    11,    85},{   374,    11,   127},
  {   416,    11,    65},{   417,    11,   165},{   419,    11,    91},
  {   480,    11,    26},{   482,    11,   102},{   503,    11,   167},
  {  1121,    11,    50},{  1146,    11,   122},{  1984,    11,   158},
  {  1985,    11,    70},{  1988,    11,   104},{  1995,    11,   139},
  {  2004,    11,    39},{  2006,    11,    95},{   298,    12,    27},
  {   364,    12,   171},{   365,    12,   172},{   367,    12,   168},
  {   589,    12,    13},{   657,    12,   106},{   658,    12,   169},
  {   659,    12,   107},{   743,    12,   170},{   751,    12,   132},
  {   836,    12,    74},{   837,    12,    40},{   963,    12,   142},
  {   984,    12,   176},{   986,    12,    14},{   987,    12,   136},
  {   988,    12,   173},{   989,    12,    28},{  1004,    12,    51},
  {  1005,    12,   100},{  2240,    12,    60},{  2294,    12,   144},
  {  3978,    12,   108},{  3979,    12,   174},{  4014,    12,    82},
  {   724,    13,    78},{   725,    13,   178},{   726,    13,    66},
  {   727,    13,    41},{   733,    13,    15},{  1176,    13,   146},
  {  1177,    13,   175},{  1181,    13,   128},{  1182,    13,    92},
  {  1288,    13,   110},{  1289,    13,   109},{  1290,    13,    29},
  {  1291,    13,   156},{  1312,    13,    52},{  1484,    13,    97},
  {  1500,    13,   123},{  1925,    13,    89},{  1932,    13,   113},
  {  1933,    13,   111},{  1934,    13,   177},{  1935,    13,   181},
  {  1970,    13,   148},{  1971,    13,    86},{  1981,    13,   152},
  {  1982,    13,   112},{  1983,    13,    42},{  4482,    13,   154},
  {  7977,    13,    30},{  7978,    13,    53},{  7979,    13,   180},
  {  8020,    13,   150},{  8021,    13,    16},{  8022,    13,   162},
  {  8030,    13,   179},{  8031,    13,   160},{  1196,    14,    71},
  {  1197,    14,   182},{  1198,    14,   114},{  1464,    14,   133},
  {  1465,    14,    17},{  2360,    14,    43},{  2366,    14,   101},
  {  2367,    14,   137},{  2626,    14,    31},{  2970,    14,   117},
  {  3002,    14,   115},{  3003,    14,    44},{  3848,    14,    67},
  {  3849,    14,    61},{  3961,    14,    75},{  8966,    14,    79},
  {  8967,    14,   116},{  9180,    14,   184},{  9181,    14,   129},
  {  9182,    14,    83},{  9183,    14,   124},{ 15952,    14,    54},
  { 15953,    14,    55},{ 16046,    14,    18},{ 16047,    14,   183},
  {  2398,    15,    45},{  2399,    15,   140},{  4722,    15,    32},
  {  4723,    15,   103},{  5254,    15,    56},{  5255,    15,   105},
  {  5942,    15,   118},{  5943,    15,    33},{  7920,    15,    62},
  {  7921,    15,    98}
};

const vc1DEC3DH_sRunLevel vc1DEC_High_Mot_Intra_Run_Level [185] = /* Table 172 */
{
  {     0,     1,     0},{     0,     2,     0},{     0,     3,     0},
  {     0,     4,     0},{     0,     5,     0},{     0,     6,     0},
  {     0,     7,     0},{     0,     8,     0},{     0,     9,     0},
  {     0,    10,     0},{     0,    11,     0},{     0,    12,     0},
  {     0,    13,     0},{     0,    14,     0},{     0,    15,     0},
  {     0,    16,     0},{     0,    17,     0},{     0,    18,     0},
  {     0,    19,     0},{     1,     1,     0},{     1,     2,     0},
  {     1,     3,     0},{     1,     4,     0},{     1,     5,     0},
  {     1,     6,     0},{     1,     7,     0},{     1,     8,     0},
  {     1,     9,     0},{     1,    10,     0},{     1,    11,     0},
  {     1,    12,     0},{     1,    13,     0},{     1,    14,     0},
  {     1,    15,     0},{     2,     1,     0},{     2,     2,     0},
  {     2,     3,     0},{     2,     4,     0},{     2,     5,     0},
  {     2,     6,     0},{     2,     7,     0},{     2,     8,     0},
  {     2,     9,     0},{     2,    10,     0},{     2,    11,     0},
  {     2,    12,     0},{     3,     1,     0},{     3,     2,     0},
  {     3,     3,     0},{     3,     4,     0},{     3,     5,     0},
  {     3,     6,     0},{     3,     7,     0},{     3,     8,     0},
  {     3,     9,     0},{     3,    10,     0},{     3,    11,     0},
  {     4,     1,     0},{     4,     2,     0},{     4,     3,     0},
  {     4,     4,     0},{     4,     5,     0},{     4,     6,     0},
  {     5,     1,     0},{     5,     2,     0},{     5,     3,     0},
  {     5,     4,     0},{     5,     5,     0},{     6,     1,     0},
  {     6,     2,     0},{     6,     3,     0},{     6,     4,     0},
  {     7,     1,     0},{     7,     2,     0},{     7,     3,     0},
  {     7,     4,     0},{     8,     1,     0},{     8,     2,     0},
  {     8,     3,     0},{     8,     4,     0},{     9,     1,     0},
  {     9,     2,     0},{     9,     3,     0},{     9,     4,     0},
  {    10,     1,     0},{    10,     2,     0},{    10,     3,     0},
  {    11,     1,     0},{    11,     2,     0},{    11,     3,     0},
  {    12,     1,     0},{    12,     2,     0},{    12,     3,     0},
  {    13,     1,     0},{    13,     2,     0},{    13,     3,     0},
  {    14,     1,     0},{    14,     2,     0},{    14,     3,     0},
  {    15,     1,     0},{    15,     2,     0},{    15,     3,     0},
  {    16,     1,     0},{    16,     2,     0},{    17,     1,     0},
  {    17,     2,     0},{    18,     1,     0},{    19,     1,     0},
  {    20,     1,     0},{    21,     1,     0},{    22,     1,     0},
  {    23,     1,     0},{    24,     1,     0},{    25,     1,     0},
  {    26,     1,     0},{    27,     1,     0},{    28,     1,     0},
  {    29,     1,     0},{    30,     1,     0},{     0,     1,     1},
  {     0,     2,     1},{     0,     3,     1},{     0,     4,     1},
  {     0,     5,     1},{     0,     6,     1},{     1,     1,     1},
  {     1,     2,     1},{     1,     3,     1},{     1,     4,     1},
  {     1,     5,     1},{     2,     1,     1},{     2,     2,     1},
  {     2,     3,     1},{     2,     4,     1},{     3,     1,     1},
  {     3,     2,     1},{     3,     3,     1},{     3,     4,     1},
  {     4,     1,     1},{     4,     2,     1},{     4,     3,     1},
  {     5,     1,     1},{     5,     2,     1},{     6,     1,     1},
  {     6,     2,     1},{     7,     1,     1},{     7,     2,     1},
  {     8,     1,     1},{     8,     2,     1},{     9,     1,     1},
  {     9,     2,     1},{    10,     1,     1},{    10,     2,     1},
  {    11,     1,     1},{    11,     2,     1},{    12,     1,     1},
  {    12,     2,     1},{    13,     1,     1},{    13,     2,     1},
  {    14,     1,     1},{    14,     2,     1},{    15,     1,     1},
  {    15,     2,     1},{    16,     1,     1},{    17,     1,     1},
  {    18,     1,     1},{    19,     1,     1},{    20,     1,     1},
  {    21,     1,     1},{    22,     1,     1},{    23,     1,     1},
  {    24,     1,     1},{    25,     1,     1},{    26,     1,     1},
  {    27,     1,     1},{    28,     1,     1},{    29,     1,     1},
  {    30,     1,     1},{    31,     1,     1},{    32,     1,     1},
  {    33,     1,     1},{    34,     1,     1},{    35,     1,     1},
  {    36,     1,     1},{    37,     1,     1}
};

const vc1DEC_sVLCCode vc1DEC_High_Mot_Inter_VLC [170] = /* Table 177 */
{
  {     0,   169,    15},{     0,     3,     0},{     3,     3,    99},
  {     3,     4,     1},{     4,     4,    23},{     9,     4,   108},
  {    13,     4,   113},{     5,     5,    34},{    11,     5,     2},
  {    17,     5,   117},{    24,     5,    42},{    25,     5,   121},
  {    29,     5,   124},{    30,     5,    24},{    20,     6,     3},
  {    41,     6,    49},{    42,     6,   100},{    43,     6,   127},
  {    47,     6,   130},{    56,     6,    54},{    62,     6,   134},
  {    63,     6,     4},{    16,     7,   132},{    64,     7,    35},
  {    66,     7,    25},{    88,     7,    59},{    89,     7,   136},
  {    93,     7,     5},{    35,     8,    63},{    37,     8,    43},
  {    38,     8,   138},{    84,     8,   109},{    85,     8,   140},
  {    87,     8,   142},{   131,     8,    70},{   160,     8,   144},
  {   161,     8,    67},{   162,     8,     6},{   182,     8,    26},
  {   228,     8,   101},{    68,     9,    73},{    73,     9,    36},
  {    79,     9,    50},{   172,     9,     7},{   173,     9,   114},
  {   270,     9,    55},{   360,     9,   151},{   361,     9,ESCAPE},
  {   363,     9,   118},{   366,     9,     8},{   368,     9,   146},
  {   371,     9,    27},{   462,     9,   148},{   138,    10,    44},
  {   139,    10,    76},{   144,    10,   147},{   520,    10,    79},
  {   522,    10,     9},{   536,    10,   150},{   538,    10,   149},
  {   539,    10,   122},{   542,    10,   152},{   543,    10,    60},
  {   654,    10,   102},{   655,    10,    37},{   738,    10,    10},
  {   739,    10,    64},{   916,    10,   125},{   917,    10,    28},
  {   920,    10,   110},{   921,    10,    81},{   926,    10,    83},
  {   312,    11,   155},{   314,    11,    71},{  1042,    11,    51},
  {  1074,    11,    11},{  1075,    11,    92},{  1304,    11,   166},
  {  1305,    11,   156},{  1307,    11,    45},{  1448,    11,    56},
  {  1451,    11,    85},{  1468,    11,   128},{  1470,    11,    68},
  {  1481,    11,    12},{  1483,    11,    38},{  1836,    11,   158},
  {  1838,    11,    29},{  1845,    11,   103},{  1846,    11,   154},
  {  1847,    11,    87},{   580,    12,   153},{   583,    12,   131},
  {   630,    12,    74},{  2086,    12,   115},{  2087,    12,    13},
  {  2093,    12,    89},{  2613,    12,   133},{  2900,    12,    14},
  {  2901,    12,   159},{  2938,    12,   135},{  2939,    12,    93},
  {  2943,    12,   119},{  2964,    12,    30},{  3675,    12,   143},
  {  3678,    12,   157},{  3679,    12,    46},{  3688,    12,    91},
  {  3689,    12,    90},{  3710,    12,    61},{  1162,    13,    39},
  {  1163,    13,   111},{  1164,    13,   162},{  1165,    13,    52},
  {  1253,    13,    65},{  1254,    13,    15},{  1263,    13,    77},
  {  4184,    13,   104},{  4188,    13,    57},{  4190,    13,   137},
  {  4191,    13,    16},{  5224,    13,   145},{  5796,    13,    31},
  {  5797,    13,   165},{  5885,    13,   123},{  5921,    13,    72},
  {  5923,    13,   163},{  5930,    13,    17},{  7348,    13,    82},
  {  7349,    13,   141},{  7418,    13,   105},{  7422,    13,    80},
  {  2504,    14,    69},{  2505,    14,    47},{  2511,    14,   139},
  {  2524,    14,   160},{  2525,    14,    40},{  8370,    14,    18},
  {  8371,    14,    32},{  8379,    14,   161},{ 10451,    14,   126},
  { 11596,    14,   116},{ 11598,    14,    19},{ 11768,    14,    94},
  { 11769,    14,   106},{ 11840,    14,    66},{ 11841,    14,    53},
  { 11844,    14,   164},{ 11845,    14,    33},{ 11862,    14,    95},
  { 11863,    14,    96},{ 14832,    14,    20},{ 14834,    14,    58},
  { 14835,    14,    84},{ 14838,    14,    75},{ 14839,    14,    97},
  { 14846,    14,   167},{ 14847,    14,    62},{  5020,    15,    48},
  {  5021,    15,   112},{ 16756,    15,   107},{ 16757,    15,    21},
  { 20900,    15,   120},{ 20901,    15,    98},{ 23194,    15,   129},
  { 23195,    15,    78},{ 23198,    15,    22},{ 23199,    15,    88},
  { 29666,    15,    41},{ 29667,    15,    86}
};

const vc1DEC3DH_sRunLevel vc1DEC_High_Mot_Inter_Run_Level [168] = /* Table 179 */
{
  {     0,     1,     0},{     0,     2,     0},{     0,     3,     0},
  {     0,     4,     0},{     0,     5,     0},{     0,     6,     0},
  {     0,     7,     0},{     0,     8,     0},{     0,     9,     0},
  {     0,    10,     0},{     0,    11,     0},{     0,    12,     0},
  {     0,    13,     0},{     0,    14,     0},{     0,    15,     0},
  {     0,    16,     0},{     0,    17,     0},{     0,    18,     0},
  {     0,    19,     0},{     0,    20,     0},{     0,    21,     0},
  {     0,    22,     0},{     0,    23,     0},{     1,     1,     0},
  {     1,     2,     0},{     1,     3,     0},{     1,     4,     0},
  {     1,     5,     0},{     1,     6,     0},{     1,     7,     0},
  {     1,     8,     0},{     1,     9,     0},{     1,    10,     0},
  {     1,    11,     0},{     2,     1,     0},{     2,     2,     0},
  {     2,     3,     0},{     2,     4,     0},{     2,     5,     0},
  {     2,     6,     0},{     2,     7,     0},{     2,     8,     0},
  {     3,     1,     0},{     3,     2,     0},{     3,     3,     0},
  {     3,     4,     0},{     3,     5,     0},{     3,     6,     0},
  {     3,     7,     0},{     4,     1,     0},{     4,     2,     0},
  {     4,     3,     0},{     4,     4,     0},{     4,     5,     0},
  {     5,     1,     0},{     5,     2,     0},{     5,     3,     0},
  {     5,     4,     0},{     5,     5,     0},{     6,     1,     0},
  {     6,     2,     0},{     6,     3,     0},{     6,     4,     0},
  {     7,     1,     0},{     7,     2,     0},{     7,     3,     0},
  {     7,     4,     0},{     8,     1,     0},{     8,     2,     0},
  {     8,     3,     0},{     9,     1,     0},{     9,     2,     0},
  {     9,     3,     0},{    10,     1,     0},{    10,     2,     0},
  {    10,     3,     0},{    11,     1,     0},{    11,     2,     0},
  {    11,     3,     0},{    12,     1,     0},{    12,     2,     0},
  {    13,     1,     0},{    13,     2,     0},{    14,     1,     0},
  {    14,     2,     0},{    15,     1,     0},{    15,     2,     0},
  {    16,     1,     0},{    16,     2,     0},{    17,     1,     0},
  {    18,     1,     0},{    19,     1,     0},{    20,     1,     0},
  {    21,     1,     0},{    22,     1,     0},{    23,     1,     0},
  {    24,     1,     0},{    25,     1,     0},{    26,     1,     0},
  {     0,     1,     1},{     0,     2,     1},{     0,     3,     1},
  {     0,     4,     1},{     0,     5,     1},{     0,     6,     1},
  {     0,     7,     1},{     0,     8,     1},{     0,     9,     1},
  {     1,     1,     1},{     1,     2,     1},{     1,     3,     1},
  {     1,     4,     1},{     1,     5,     1},{     2,     1,     1},
  {     2,     2,     1},{     2,     3,     1},{     2,     4,     1},
  {     3,     1,     1},{     3,     2,     1},{     3,     3,     1},
  {     3,     4,     1},{     4,     1,     1},{     4,     2,     1},
  {     4,     3,     1},{     5,     1,     1},{     5,     2,     1},
  {     5,     3,     1},{     6,     1,     1},{     6,     2,     1},
  {     6,     3,     1},{     7,     1,     1},{     7,     2,     1},
  {     8,     1,     1},{     8,     2,     1},{     9,     1,     1},
  {     9,     2,     1},{    10,     1,     1},{    10,     2,     1},
  {    11,     1,     1},{    11,     2,     1},{    12,     1,     1},
  {    12,     2,     1},{    13,     1,     1},{    13,     2,     1},
  {    14,     1,     1},{    14,     2,     1},{    15,     1,     1},
  {    16,     1,     1},{    17,     1,     1},{    18,     1,     1},
  {    19,     1,     1},{    20,     1,     1},{    21,     1,     1},
  {    22,     1,     1},{    23,     1,     1},{    24,     1,     1},
  {    25,     1,     1},{    26,     1,     1},{    27,     1,     1},
  {    28,     1,     1},{    29,     1,     1},{    30,     1,     1},
  {    31,     1,     1},{    32,     1,     1},{    33,     1,     1},
  {    34,     1,     1},{    35,     1,     1},{    36,     1,     1}
};

const vc1DEC_sVLCCode vc1DEC_Low_Mot_Intra_VLC [134] = /* Table 184 */
{
  {     0,   133,    13},{     1,     2,     0},{     6,     3,     1},
  {     1,     4,    16},{    10,     4,    85},{    15,     4,     2},
  {     4,     5,    27},{    17,     5,    17},{    18,     5,    89},
  {    22,     5,     3},{    23,     5,    35},{    14,     6,    42},
  {    32,     6,     4},{    57,     6,    93},{    59,     6,    47},
  {     0,     7,    96},{     2,     7,    18},{     6,     7,    51},
  {    20,     7,    28},{    22,     7,ESCAPE},{    24,     7,     5},
  {    27,     7,    55},{    31,     7,    99},{    66,     7,    86},
  {    67,     7,   101},{    78,     7,    36},{   113,     7,    58},
  {     3,     8,   103},{     6,     8,   105},{     7,     8,    61},
  {     8,     8,     6},{    11,     8,    19},{    15,     8,   109},
  {    42,     8,   107},{    46,     8,   117},{    51,     8,   111},
  {    52,     8,    64},{   152,     8,   113},{   154,     8,     7},
  {   158,     8,    29},{   224,     8,    67},{   225,     8,    43},
  {   232,     8,    90},{   234,     8,   115},{    18,     9,    20},
  {    20,     9,    73},{    21,     9,    70},{    28,     9,    48},
  {    86,     9,     8},{    94,     9,    37},{   106,     9,   120},
  {   122,     9,    52},{   310,     9,   119},{   318,     9,     9},
  {   467,     9,    87},{   470,     9,    21},{     8,    10,    56},
  {     9,    10,    30},{   174,    10,    97},{   175,    10,    62},
  {   202,    10,    78},{   203,    10,    76},{   215,    10,    59},
  {   240,    10,    10},{   243,    10,    38},{   246,    10,    74},
  {   612,    10,    94},{   613,    10,    65},{   638,    10,    22},
  {   932,    10,    44},{   933,    10,    11},{   943,    10,   122},
  {    20,    11,    49},{    21,    11,   121},{    22,    11,    68},
  {    76,    11,    91},{   116,    11,   124},{   119,    11,    12},
  {   381,    11,    71},{   383,    11,    80},{   400,    11,    53},
  {   401,    11,    23},{   402,    11,   118},{   428,    11,    31},
  {   429,    11,    39},{   482,    11,    32},{   483,    11,   123},
  {   484,    11,    75},{   495,    11,    13},{  1228,    11,    63},
  {  1229,    11,    81},{  1244,    11,   102},{  1245,    11,    88},
  {  1246,    11,   100},{  1278,    11,    83},{  1884,    11,    57},
  {   154,    12,    14},{   156,    12,    45},{   159,    12,    66},
  {   234,    12,    24},{   235,    12,   125},{   236,    12,    40},
  {   237,    12,   128},{   761,    12,   126},{   764,    12,    79},
  {   765,    12,    82},{   806,    12,   130},{   807,    12,    69},
  {   970,    12,    33},{   971,    12,   104},{   988,    12,    25},
  {   989,    12,   129},{  2460,    12,    98},{  2461,    12,    77},
  {  2462,    12,   106},{  2463,    12,   114},{  2494,    12,    50},
  {  2495,    12,    60},{  2558,    12,   110},{  2559,    12,   112},
  {  3770,    12,    95},{  3771,    12,    72},{    92,    13,   127},
  {    93,    13,    15},{    94,    13,   131},{    95,    13,    34},
  {   310,    13,    92},{   311,    13,    54},{   314,    13,    84},
  {   315,    13,    26},{   316,    13,   116},{   317,    13,    46},
  {  1520,    13,    41},{  1521,    13,   108}
};

const vc1DEC3DH_sRunLevel vc1DEC_Low_Mot_Intra_Run_Level [132] = /* Table 186 */
{
  {     0,     1,     0},{     0,     2,     0},{     0,     3,     0},
  {     0,     4,     0},{     0,     5,     0},{     0,     6,     0},
  {     0,     7,     0},{     0,     8,     0},{     0,     9,     0},
  {     0,    10,     0},{     0,    11,     0},{     0,    12,     0},
  {     0,    13,     0},{     0,    14,     0},{     0,    15,     0},
  {     0,    16,     0},{     1,     1,     0},{     1,     2,     0},
  {     1,     3,     0},{     1,     4,     0},{     1,     5,     0},
  {     1,     6,     0},{     1,     7,     0},{     1,     8,     0},
  {     1,     9,     0},{     1,    10,     0},{     1,    11,     0},
  {     2,     1,     0},{     2,     2,     0},{     2,     3,     0},
  {     2,     4,     0},{     2,     5,     0},{     2,     6,     0},
  {     2,     7,     0},{     2,     8,     0},{     3,     1,     0},
  {     3,     2,     0},{     3,     3,     0},{     3,     4,     0},
  {     3,     5,     0},{     3,     6,     0},{     3,     7,     0},
  {     4,     1,     0},{     4,     2,     0},{     4,     3,     0},
  {     4,     4,     0},{     4,     5,     0},{     5,     1,     0},
  {     5,     2,     0},{     5,     3,     0},{     5,     4,     0},
  {     6,     1,     0},{     6,     2,     0},{     6,     3,     0},
  {     6,     4,     0},{     7,     1,     0},{     7,     2,     0},
  {     7,     3,     0},{     8,     1,     0},{     8,     2,     0},
  {     8,     3,     0},{     9,     1,     0},{     9,     2,     0},
  {     9,     3,     0},{    10,     1,     0},{    10,     2,     0},
  {    10,     3,     0},{    11,     1,     0},{    11,     2,     0},
  {    11,     3,     0},{    12,     1,     0},{    12,     2,     0},
  {    12,     3,     0},{    13,     1,     0},{    13,     2,     0},
  {    13,     3,     0},{    14,     1,     0},{    14,     2,     0},
  {    15,     1,     0},{    15,     2,     0},{    16,     1,     0},
  {    17,     1,     0},{    18,     1,     0},{    19,     1,     0},
  {    20,     1,     0},{     0,     1,     1},{     0,     2,     1},
  {     0,     3,     1},{     0,     4,     1},{     1,     1,     1},
  {     1,     2,     1},{     1,     3,     1},{     1,     4,     1},
  {     2,     1,     1},{     2,     2,     1},{     2,     3,     1},
  {     3,     1,     1},{     3,     2,     1},{     3,     3,     1},
  {     4,     1,     1},{     4,     2,     1},{     5,     1,     1},
  {     5,     2,     1},{     6,     1,     1},{     6,     2,     1},
  {     7,     1,     1},{     7,     2,     1},{     8,     1,     1},
  {     8,     2,     1},{     9,     1,     1},{     9,     2,     1},
  {    10,     1,     1},{    10,     2,     1},{    11,     1,     1},
  {    11,     2,     1},{    12,     1,     1},{    12,     2,     1},
  {    13,     1,     1},{    13,     2,     1},{    14,     1,     1},
  {    15,     1,     1},{    16,     1,     1},{    17,     1,     1},
  {    18,     1,     1},{    19,     1,     1},{    20,     1,     1},
  {    21,     1,     1},{    22,     1,     1},{    23,     1,     1},
  {    24,     1,     1},{    25,     1,     1},{    26,     1,     1}
};

const vc1DEC_sVLCCode vc1DEC_Low_Mot_Inter_VLC [150] = /* Table 191 */
{
  {     0,   149,    15},{     3,     2,    81},{     4,     3,     0},
  {     4,     4,    90},{     5,     4,    86},{    11,     4,    14},
  {     4,     5,    93},{     7,     5,    23},{    12,     5,    98},
  {    14,     5,    96},{    20,     5,     1},{     2,     6,    28},
  {     4,     6,   100},{     6,     6,   102},{     7,     6,   106},
  {    13,     6,   104},{    26,     6,    32},{    30,     6,    36},
  {     1,     7,   108},{     6,     7,    40},{    10,     7,   112},
  {    20,     7,   110},{    21,     7,   116},{    22,     7,   114},
  {    23,     7,     2},{    25,     7,    43},{    55,     7,    15},
  {    84,     7,    82},{    87,     7,    46},{     4,     8,    49},
  {    15,     8,   118},{   109,     8,    24},{   125,     8,    52},
  {   126,     8,   120},{   127,     8,     3},{   171,     8,   121},
  {   173,     8,    58},{     2,     9,    55},{     3,     9,    63},
  {    11,     9,   124},{    13,     9,ESCAPE},{    28,     9,    61},
  {    45,     9,   122},{    46,     9,   131},{    97,     9,    29},
  {    98,     9,    16},{   216,     9,   123},{   217,     9,    65},
  {   248,     9,    87},{   340,     9,     4},{     0,    10,   129},
  {    20,    10,   125},{    28,    10,    91},{    30,    10,    33},
  {    31,    10,    37},{    58,    10,   128},{    88,    10,   130},
  {    94,    10,   132},{   498,    10,     5},{   499,    10,   127},
  {   683,    10,    83},{   691,    10,   126},{     2,    11,    67},
  {     3,    11,    25},{     4,    11,    41},{     6,    11,    44},
  {     7,    11,    17},{    49,    11,    71},{    58,    11,    78},
  {   119,    11,    94},{   191,    11,     6},{   384,    11,    50},
  {   385,    11,   139},{   386,    11,    47},{   387,    11,    68},
  {   397,    11,    56},{  1378,    11,    99},{  1379,    11,   133},
  {    10,    12,    97},{    84,    12,   135},{    85,    12,    30},
  {    87,    12,    69},{    96,    12,    59},{    97,    12,    70},
  {   101,    12,     7},{   102,    12,    72},{   118,    12,    77},
  {   236,    12,   134},{   356,    12,    53},{   357,    12,    79},
  {   358,    12,    18},{   796,    12,   101},{   797,    12,    76},
  {   799,    12,    26},{  2729,    12,    88},{  2730,    12,     8},
  {  2753,    12,   136},{  2754,    12,   113},{  2755,    12,    38},
  {  2761,    12,    34},{    22,    13,    84},{   172,    13,    75},
  {   200,    13,   103},{   201,    13,   107},{   206,    13,    19},
  {   207,    13,   146},{   238,    13,    62},{   474,    13,   105},
  {   719,    13,    64},{   760,    13,    42},{   762,    13,   138},
  {  1584,    13,     9},{  1585,    13,    73},{  1586,    13,    74},
  {  1596,    13,   145},{  1597,    13,    45},{  5456,    13,    92},
  {  5462,    13,   137},{  5463,    13,   140},{  5504,    13,    66},
  {  5505,    13,    57},{  5520,    13,    20},{  5524,    13,   147},
  {  5526,    13,   111},{  5527,    13,    10},{    46,    14,   109},
  {   346,    14,   117},{   347,    14,   115},{   478,    14,   144},
  {   479,    14,    31},{   951,    14,    11},{  1436,    14,    51},
  {  1437,    14,   141},{  1522,    14,    27},{  1526,    14,    21},
  {  1527,    14,    85},{  3174,    14,    80},{  3175,    14,    60},
  { 10914,    14,    48},{ 10915,    14,   142},{ 11042,    14,    12},
  { 11043,    14,    35},{ 11050,    14,   143},{ 11051,    14,    39},
  {    94,    15,   119},{    95,    15,    89},{  1900,    15,    95},
  {  1901,    15,    54},{  3046,    15,    13},{  3047,    15,    22}
};

const vc1DEC3DH_sRunLevel vc1DEC_Low_Mot_Inter_Run_Level [148] = /* Table 193 */
{
  {     0,     1,     0},{     0,     2,     0},{     0,     3,     0},
  {     0,     4,     0},{     0,     5,     0},{     0,     6,     0},
  {     0,     7,     0},{     0,     8,     0},{     0,     9,     0},
  {     0,    10,     0},{     0,    11,     0},{     0,    12,     0},
  {     0,    13,     0},{     0,    14,     0},{     1,     1,     0},
  {     1,     2,     0},{     1,     3,     0},{     1,     4,     0},
  {     1,     5,     0},{     1,     6,     0},{     1,     7,     0},
  {     1,     8,     0},{     1,     9,     0},{     2,     1,     0},
  {     2,     2,     0},{     2,     3,     0},{     2,     4,     0},
  {     2,     5,     0},{     3,     1,     0},{     3,     2,     0},
  {     3,     3,     0},{     3,     4,     0},{     4,     1,     0},
  {     4,     2,     0},{     4,     3,     0},{     4,     4,     0},
  {     5,     1,     0},{     5,     2,     0},{     5,     3,     0},
  {     5,     4,     0},{     6,     1,     0},{     6,     2,     0},
  {     6,     3,     0},{     7,     1,     0},{     7,     2,     0},
  {     7,     3,     0},{     8,     1,     0},{     8,     2,     0},
  {     8,     3,     0},{     9,     1,     0},{     9,     2,     0},
  {     9,     3,     0},{    10,     1,     0},{    10,     2,     0},
  {    10,     3,     0},{    11,     1,     0},{    11,     2,     0},
  {    11,     3,     0},{    12,     1,     0},{    12,     2,     0},
  {    12,     3,     0},{    13,     1,     0},{    13,     2,     0},
  {    14,     1,     0},{    14,     2,     0},{    15,     1,     0},
  {    15,     2,     0},{    16,     1,     0},{    17,     1,     0},
  {    18,     1,     0},{    19,     1,     0},{    20,     1,     0},
  {    21,     1,     0},{    22,     1,     0},{    23,     1,     0},
  {    24,     1,     0},{    25,     1,     0},{    26,     1,     0},
  {    27,     1,     0},{    28,     1,     0},{    29,     1,     0},
  {     0,     1,     1},{     0,     2,     1},{     0,     3,     1},
  {     0,     4,     1},{     0,     5,     1},{     1,     1,     1},
  {     1,     2,     1},{     1,     3,     1},{     1,     4,     1},
  {     2,     1,     1},{     2,     2,     1},{     2,     3,     1},
  {     3,     1,     1},{     3,     2,     1},{     3,     3,     1},
  {     4,     1,     1},{     4,     2,     1},{     5,     1,     1},
  {     5,     2,     1},{     6,     1,     1},{     6,     2,     1},
  {     7,     1,     1},{     7,     2,     1},{     8,     1,     1},
  {     8,     2,     1},{     9,     1,     1},{     9,     2,     1},
  {    10,     1,     1},{    10,     2,     1},{    11,     1,     1},
  {    11,     2,     1},{    12,     1,     1},{    12,     2,     1},
  {    13,     1,     1},{    13,     2,     1},{    14,     1,     1},
  {    14,     2,     1},{    15,     1,     1},{    15,     2,     1},
  {    16,     1,     1},{    17,     1,     1},{    18,     1,     1},
  {    19,     1,     1},{    20,     1,     1},{    21,     1,     1},
  {    22,     1,     1},{    23,     1,     1},{    24,     1,     1},
  {    25,     1,     1},{    26,     1,     1},{    27,     1,     1},
  {    28,     1,     1},{    29,     1,     1},{    30,     1,     1},
  {    31,     1,     1},{    32,     1,     1},{    33,     1,     1},
  {    34,     1,     1},{    35,     1,     1},{    36,     1,     1},
  {    37,     1,     1},{    38,     1,     1},{    39,     1,     1},
  {    40,     1,     1},{    41,     1,     1},{    42,     1,     1},
  {    43,     1,     1}
};

const vc1DEC_sVLCCode vc1DEC_Mid_Rate_Intra_VLC [104] = /* Table 198 */
{
  {     0,   103,    12},{     2,     2,     0},{     6,     3,     1},
  {     7,     4,    67},{    14,     4,    27},{    15,     4,     2},
  {    11,     5,    37},{    12,     5,     4},{    13,     5,     3},
  {    12,     6,    68},{    13,     6,    49},{    14,     6,    78},
  {    15,     6,    75},{    16,     6,    46},{    17,     6,    42},
  {    18,     6,     7},{    19,     6,     6},{    20,     6,    28},
  {    21,     6,     5},{     3,     7,ESCAPE},{    16,     7,    82},
  {    17,     7,    80},{    18,     7,    52},{    19,     7,    84},
  {    20,     7,    55},{    21,     7,    38},{    22,     7,    29},
  {    23,     7,     8},{    19,     8,    89},{    20,     8,    88},
  {    21,     8,    86},{    22,     8,    69},{    23,     8,    62},
  {    24,     8,    60},{    25,     8,    58},{    26,     8,    90},
  {    27,     8,    43},{    28,     8,    30},{    29,     8,    11},
  {    30,     8,    10},{    31,     8,     9},{    17,     9,    95},
  {    18,     9,    94},{    19,     9,    93},{    20,     9,    92},
  {    21,     9,    91},{    22,     9,    76},{    23,     9,    70},
  {    24,     9,    64},{    25,     9,    63},{    26,     9,    56},
  {    27,     9,    53},{    28,     9,    50},{    29,     9,    44},
  {    30,     9,    39},{    31,     9,    32},{    32,     9,    31},
  {    33,     9,    15},{    34,     9,    47},{    35,     9,    14},
  {    36,     9,    13},{    37,     9,    12},{     4,    10,    79},
  {     5,    10,    77},{     6,    10,    71},{     7,    10,    65},
  {     8,    10,    51},{     9,    10,    59},{    10,    10,    48},
  {    11,    10,    45},{    12,    10,    40},{    13,    10,    33},
  {    14,    10,    19},{    15,    10,    18},{    32,    10,    17},
  {    33,    10,    16},{     4,    11,    73},{     5,    11,    72},
  {     6,    11,    21},{     7,    11,    20},{    32,    11,    22},
  {    33,    11,    23},{    34,    11,    34},{    35,    11,    61},
  {    36,    11,    81},{    37,    11,    83},{    38,    11,    96},
  {    39,    11,    97},{    80,    12,    24},{    81,    12,    25},
  {    82,    12,    26},{    83,    12,    35},{    84,    12,    54},
  {    85,    12,    36},{    86,    12,    41},{    87,    12,    57},
  {    88,    12,    66},{    89,    12,    74},{    90,    12,    85},
  {    91,    12,    87},{    92,    12,    98},{    93,    12,    99},
  {    94,    12,   100},{    95,    12,   101}
};

const vc1DEC3DH_sRunLevel vc1DEC_Mid_Rate_Intra_Run_Level [102] = /* Table 200 */
{
  {     0,     1,     0},{     0,     2,     0},{     0,     3,     0},
  {     0,     4,     0},{     0,     5,     0},{     0,     6,     0},
  {     0,     7,     0},{     0,     8,     0},{     0,     9,     0},
  {     0,    10,     0},{     0,    11,     0},{     0,    12,     0},
  {     0,    13,     0},{     0,    14,     0},{     0,    15,     0},
  {     0,    16,     0},{     0,    17,     0},{     0,    18,     0},
  {     0,    19,     0},{     0,    20,     0},{     0,    21,     0},
  {     0,    22,     0},{     0,    23,     0},{     0,    24,     0},
  {     0,    25,     0},{     0,    26,     0},{     0,    27,     0},
  {     1,     1,     0},{     1,     2,     0},{     1,     3,     0},
  {     1,     4,     0},{     1,     5,     0},{     1,     6,     0},
  {     1,     7,     0},{     1,     8,     0},{     1,     9,     0},
  {     1,    10,     0},{     2,     1,     0},{     2,     2,     0},
  {     2,     3,     0},{     2,     4,     0},{     2,     5,     0},
  {     3,     1,     0},{     3,     2,     0},{     3,     3,     0},
  {     3,     4,     0},{     4,     1,     0},{     4,     2,     0},
  {     4,     3,     0},{     5,     1,     0},{     5,     2,     0},
  {     5,     3,     0},{     6,     1,     0},{     6,     2,     0},
  {     6,     3,     0},{     7,     1,     0},{     7,     2,     0},
  {     7,     3,     0},{     8,     1,     0},{     8,     2,     0},
  {     9,     1,     0},{     9,     2,     0},{    10,     1,     0},
  {    11,     1,     0},{    12,     1,     0},{    13,     1,     0},
  {    14,     1,     0},{     0,     1,     1},{     0,     2,     1},
  {     0,     3,     1},{     0,     4,     1},{     0,     5,     1},
  {     0,     6,     1},{     0,     7,     1},{     0,     8,     1},
  {     1,     1,     1},{     1,     2,     1},{     1,     3,     1},
  {     2,     1,     1},{     2,     2,     1},{     3,     1,     1},
  {     3,     2,     1},{     4,     1,     1},{     4,     2,     1},
  {     5,     1,     1},{     5,     2,     1},{     6,     1,     1},
  {     6,     2,     1},{     7,     1,     1},{     8,     1,     1},
  {     9,     1,     1},{    10,     1,     1},{    11,     1,     1},
  {    12,     1,     1},{    13,     1,     1},{    14,     1,     1},
  {    15,     1,     1},{    16,     1,     1},{    17,     1,     1},
  {    18,     1,     1},{    19,     1,     1},{    20,     1,     1}
};

const vc1DEC_sVLCCode vc1DEC_Mid_Rate_Inter_VLC [104] = /* Table 205 */
{
  {     0,   103,    12},{     2,     2,     0},{     6,     3,    12},
  {     7,     4,    58},{    14,     4,    18},{    15,     4,     1},
  {    11,     5,    28},{    12,     5,    25},{    13,     5,    22},
  {    12,     6,    65},{    13,     6,    64},{    14,     6,    63},
  {    15,     6,    61},{    16,     6,    38},{    17,     6,    36},
  {    18,     6,    34},{    19,     6,    31},{    20,     6,    13},
  {    21,     6,     2},{     3,     7,ESCAPE},{    16,     7,    69},
  {    17,     7,    68},{    18,     7,    67},{    19,     7,    66},
  {    20,     7,    43},{    21,     7,    42},{    22,     7,    40},
  {    23,     7,     3},{    19,     8,    77},{    20,     8,    76},
  {    21,     8,    75},{    22,     8,    74},{    23,     8,    73},
  {    24,     8,    72},{    25,     8,    71},{    26,     8,    70},
  {    27,     8,    45},{    28,     8,    44},{    29,     8,    19},
  {    30,     8,    14},{    31,     8,     4},{    17,     9,    85},
  {    18,     9,    84},{    19,     9,    83},{    20,     9,    82},
  {    21,     9,    81},{    22,     9,    80},{    23,     9,    79},
  {    24,     9,    78},{    25,     9,    59},{    26,     9,    53},
  {    27,     9,    52},{    28,     9,    51},{    29,     9,    50},
  {    30,     9,    49},{    31,     9,    48},{    32,     9,    47},
  {    33,     9,    46},{    34,     9,    26},{    35,     9,    23},
  {    36,     9,     6},{    37,     9,     5},{     4,    10,    89},
  {     5,    10,    88},{     6,    10,    87},{     7,    10,    86},
  {     8,    10,    39},{     9,    10,    37},{    10,    10,    35},
  {    11,    10,    32},{    12,    10,    29},{    13,    10,    24},
  {    14,    10,    20},{    15,    10,    15},{    32,    10,     8},
  {    33,    10,     7},{     4,    11,    62},{     5,    11,    60},
  {     6,    11,    10},{     7,    11,     9},{    32,    11,    11},
  {    33,    11,    16},{    34,    11,    54},{    35,    11,    55},
  {    36,    11,    90},{    37,    11,    91},{    38,    11,    92},
  {    39,    11,    93},{    80,    12,    17},{    81,    12,    21},
  {    82,    12,    27},{    83,    12,    30},{    84,    12,    33},
  {    85,    12,    41},{    86,    12,    56},{    87,    12,    57},
  {    88,    12,    94},{    89,    12,    95},{    90,    12,    96},
  {    91,    12,    97},{    92,    12,    98},{    93,    12,    99},
  {    94,    12,   100},{    95,    12,   101}
};

const vc1DEC3DH_sRunLevel vc1DEC_Mid_Rate_Inter_Run_Level [102] = /* Table 207 */
{
  {     0,     1,     0},{     0,     2,     0},{     0,     3,     0},
  {     0,     4,     0},{     0,     5,     0},{     0,     6,     0},
  {     0,     7,     0},{     0,     8,     0},{     0,     9,     0},
  {     0,    10,     0},{     0,    11,     0},{     0,    12,     0},
  {     1,     1,     0},{     1,     2,     0},{     1,     3,     0},
  {     1,     4,     0},{     1,     5,     0},{     1,     6,     0},
  {     2,     1,     0},{     2,     2,     0},{     2,     3,     0},
  {     2,     4,     0},{     3,     1,     0},{     3,     2,     0},
  {     3,     3,     0},{     4,     1,     0},{     4,     2,     0},
  {     4,     3,     0},{     5,     1,     0},{     5,     2,     0},
  {     5,     3,     0},{     6,     1,     0},{     6,     2,     0},
  {     6,     3,     0},{     7,     1,     0},{     7,     2,     0},
  {     8,     1,     0},{     8,     2,     0},{     9,     1,     0},
  {     9,     2,     0},{    10,     1,     0},{    10,     2,     0},
  {    11,     1,     0},{    12,     1,     0},{    13,     1,     0},
  {    14,     1,     0},{    15,     1,     0},{    16,     1,     0},
  {    17,     1,     0},{    18,     1,     0},{    19,     1,     0},
  {    20,     1,     0},{    21,     1,     0},{    22,     1,     0},
  {    23,     1,     0},{    24,     1,     0},{    25,     1,     0},
  {    26,     1,     0},{     0,     1,     1},{     0,     2,     1},
  {     0,     3,     1},{     1,     1,     1},{     1,     2,     1},
  {     2,     1,     1},{     3,     1,     1},{     4,     1,     1},
  {     5,     1,     1},{     6,     1,     1},{     7,     1,     1},
  {     8,     1,     1},{     9,     1,     1},{    10,     1,     1},
  {    11,     1,     1},{    12,     1,     1},{    13,     1,     1},
  {    14,     1,     1},{    15,     1,     1},{    16,     1,     1},
  {    17,     1,     1},{    18,     1,     1},{    19,     1,     1},
  {    20,     1,     1},{    21,     1,     1},{    22,     1,     1},
  {    23,     1,     1},{    24,     1,     1},{    25,     1,     1},
  {    26,     1,     1},{    27,     1,     1},{    28,     1,     1},
  {    29,     1,     1},{    30,     1,     1},{    31,     1,     1},
  {    32,     1,     1},{    33,     1,     1},{    34,     1,     1},
  {    35,     1,     1},{    36,     1,     1},{    37,     1,     1},
  {    38,     1,     1},{    39,     1,     1},{    40,     1,     1}
};

const vc1DEC_sVLCCode vc1DEC_High_Rate_Intra_VLC [164] = /* Table 212 */
{
  {     0,   163,    16},{     0,     2,     0},{     3,     3,     1},
  {     5,     4,     3},{     9,     4,    56},{    13,     4,     2},
  {     8,     5,    76},{    16,     5,    57},{    22,     5,     5},
  {    28,     5,     4},{    34,     6,     9},{    40,     6,    86},
  {    41,     6,    58},{    46,     6,     8},{    58,     6,     7},
  {    63,     6,     6},{    37,     7,    99},{    38,     7,    14},
  {    71,     7,    13},{    95,     7,    12},{    98,     7,    59},
  {    99,     7,    77},{   101,     7,    93},{   103,     7,    11},
  {   120,     7,   126},{   122,     7,ESCAPE},{   123,     7,    10},
  {    72,     8,   108},{    79,     8,    19},{   169,     8,    18},
  {   172,     8,   133},{   173,     8,    61},{   175,     8,    78},
  {   193,     8,    17},{   195,     8,    87},{   201,     8,   104},
  {   205,     8,    16},{   239,     8,    15},{   243,     8,    60},
  {   250,     8,   130},{   156,     9,    64},{   280,     9,   100},
  {   283,     9,    25},{   337,     9,    88},{   341,     9,   127},
  {   342,     9,   142},{   349,     9,    24},{   377,     9,    63},
  {   379,     9,    79},{   384,     9,   111},{   388,     9,   140},
  {   389,     9,    23},{   409,     9,    22},{   474,     9,    94},
  {   476,     9,   138},{   477,     9,    21},{   485,     9,    62},
  {   498,     9,    20},{   502,     9,   136},{   294,    10,    34},
  {   295,    10,    67},{   563,    10,    33},{   564,    10,   152},
  {   672,    10,    32},{   673,    10,    89},{   686,    10,    66},
  {   687,    10,    95},{   753,    10,    31},{   756,    10,   117},
  {   757,    10,   148},{   771,    10,    30},{   801,    10,   105},
  {   802,    10,   150},{   817,    10,    29},{   945,    10,    65},
  {   946,    10,   146},{   947,    10,    80},{   968,    10,    28},
  {   993,    10,    27},{   994,    10,   114},{   999,    10,   144},
  {  1007,    10,    26},{   585,    11,   134},{   587,    11,   158},
  {   628,    11,    43},{   629,    11,    70},{   631,    11,    96},
  {  1125,    11,   112},{  1130,    11,    42},{  1361,    11,    41},
  {  1362,    11,   128},{  1392,    11,    69},{  1394,    11,    40},
  {  1395,    11,    90},{  1505,    11,   121},{  1540,    11,    39},
  {  1600,    11,    82},{  1606,    11,   101},{  1632,    11,   156},
  {  1633,    11,    38},{  1900,    11,    37},{  1902,    11,    68},
  {  1903,    11,    36},{  1984,    11,    35},{  1985,    11,   119},
  {  1991,    11,   154},{  1996,    11,   109},{  2012,    11,   131},
  {  2013,    11,    81},{  1168,    12,    52},{  1169,    12,    85},
  {  1173,    12,    53},{  1261,    12,   139},{  2248,    12,   118},
  {  2249,    12,    97},{  2262,    12,    51},{  2263,    12,    74},
  {  2720,    12,    73},{  2721,    12,   110},{  2726,    12,   102},
  {  2727,    12,   160},{  2786,    12,   137},{  2787,    12,    50},
  {  3009,    12,    84},{  3082,    12,    49},{  3083,    12,    48},
  {  3214,    12,    47},{  3776,    12,    72},{  3777,    12,   115},
  {  3778,    12,   123},{  3779,    12,    91},{  3803,    12,    46},
  {  3876,    12,    45},{  3877,    12,    71},{  3879,    12,    44},
  {  3981,    12,    83},{  3995,    12,   106},{  2344,    13,   120},
  {  2345,    13,   145},{  2521,    13,   143},{  6016,    13,   103},
  {  6017,    13,    98},{  6404,    13,   141},{  6405,    13,   113},
  {  6407,    13,   132},{  6430,    13,   107},{  6431,    13,   129},
  {  7605,    13,    55},{  7756,    13,    75},{  7960,    13,   161},
  {  7961,    13,    54},{  7988,    13,   125},{  7989,    13,    92},
  {  5040,    14,   149},{  5041,    14,   135},{ 12813,    14,   122},
  { 15208,    14,   147},{ 15209,    14,   151},{ 15515,    14,   116},
  { 25624,    15,   124},{ 31028,    15,   157},{ 31029,    15,   153},
  { 51250,    16,   159},{ 51251,    16,   155}
};

const vc1DEC3DH_sRunLevel vc1DEC_High_Rate_Intra_Run_Level [162] = /* Table 214 */
{
  {     0,     1,     0},{     0,     2,     0},{     0,     3,     0},
  {     0,     4,     0},{     0,     5,     0},{     0,     6,     0},
  {     0,     7,     0},{     0,     8,     0},{     0,     9,     0},
  {     0,    10,     0},{     0,    11,     0},{     0,    12,     0},
  {     0,    13,     0},{     0,    14,     0},{     0,    15,     0},
  {     0,    16,     0},{     0,    17,     0},{     0,    18,     0},
  {     0,    19,     0},{     0,    20,     0},{     0,    21,     0},
  {     0,    22,     0},{     0,    23,     0},{     0,    24,     0},
  {     0,    25,     0},{     0,    26,     0},{     0,    27,     0},
  {     0,    28,     0},{     0,    29,     0},{     0,    30,     0},
  {     0,    31,     0},{     0,    32,     0},{     0,    33,     0},
  {     0,    34,     0},{     0,    35,     0},{     0,    36,     0},
  {     0,    37,     0},{     0,    38,     0},{     0,    39,     0},
  {     0,    40,     0},{     0,    41,     0},{     0,    42,     0},
  {     0,    43,     0},{     0,    44,     0},{     0,    45,     0},
  {     0,    46,     0},{     0,    47,     0},{     0,    48,     0},
  {     0,    49,     0},{     0,    50,     0},{     0,    51,     0},
  {     0,    52,     0},{     0,    53,     0},{     0,    54,     0},
  {     0,    55,     0},{     0,    56,     0},{     1,     1,     0},
  {     1,     2,     0},{     1,     3,     0},{     1,     4,     0},
  {     1,     5,     0},{     1,     6,     0},{     1,     7,     0},
  {     1,     8,     0},{     1,     9,     0},{     1,    10,     0},
  {     1,    11,     0},{     1,    12,     0},{     1,    13,     0},
  {     1,    14,     0},{     1,    15,     0},{     1,    16,     0},
  {     1,    17,     0},{     1,    18,     0},{     1,    19,     0},
  {     1,    20,     0},{     2,     1,     0},{     2,     2,     0},
  {     2,     3,     0},{     2,     4,     0},{     2,     5,     0},
  {     2,     6,     0},{     2,     7,     0},{     2,     8,     0},
  {     2,     9,     0},{     2,    10,     0},{     3,     1,     0},
  {     3,     2,     0},{     3,     3,     0},{     3,     4,     0},
  {     3,     5,     0},{     3,     6,     0},{     3,     7,     0},
  {     4,     1,     0},{     4,     2,     0},{     4,     3,     0},
  {     4,     4,     0},{     4,     5,     0},{     4,     6,     0},
  {     5,     1,     0},{     5,     2,     0},{     5,     3,     0},
  {     5,     4,     0},{     5,     5,     0},{     6,     1,     0},
  {     6,     2,     0},{     6,     3,     0},{     6,     4,     0},
  {     7,     1,     0},{     7,     2,     0},{     7,     3,     0},
  {     8,     1,     0},{     8,     2,     0},{     8,     3,     0},
  {     9,     1,     0},{     9,     2,     0},{     9,     3,     0},
  {    10,     1,     0},{    10,     2,     0},{    11,     1,     0},
  {    11,     2,     0},{    12,     1,     0},{    12,     2,     0},
  {    13,     1,     0},{    13,     2,     0},{    14,     1,     0},
  {     0,     1,     1},{     0,     2,     1},{     0,     3,     1},
  {     0,     4,     1},{     1,     1,     1},{     1,     2,     1},
  {     1,     3,     1},{     2,     1,     1},{     2,     2,     1},
  {     2,     3,     1},{     3,     1,     1},{     3,     2,     1},
  {     4,     1,     1},{     4,     2,     1},{     5,     1,     1},
  {     5,     2,     1},{     6,     1,     1},{     6,     2,     1},
  {     7,     1,     1},{     7,     2,     1},{     8,     1,     1},
  {     8,     2,     1},{     9,     1,     1},{     9,     2,     1},
  {    10,     1,     1},{    10,     2,     1},{    11,     1,     1},
  {    11,     2,     1},{    12,     1,     1},{    12,     2,     1},
  {    13,     1,     1},{    13,     2,     1},{    14,     1,     1},
  {    14,     2,     1},{    15,     1,     1},{    16,     1,     1}
};

const vc1DEC_sVLCCode vc1DEC_High_Rate_Inter_VLC [176] = /* Table 219 */
{
  {     0,   175,    23},{     2,     2,     0},{     0,     3,     1},
  {     3,     3,    32},{    12,     4,    45},{     4,     5,     3},
  {     7,     5,    59},{    10,     5,    33},{    27,     5,    53},
  {    30,     5,     2},{    11,     6,   116},{    12,     6,    68},
  {    18,     6,     4},{    19,     6,   113},{    53,     6,    64},
  {    63,     6,   109},{    20,     7,   126},{    26,     7,     6},
  {    32,     7,    75},{    33,     7,   124},{    46,     7,   122},
  {   104,     7,    72},{   112,     7,     5},{   115,     7,ESCAPE},
  {   117,     7,   119},{   119,     7,    34},{   125,     7,    46},
  {    55,     8,   132},{    68,     8,    47},{    69,     8,    81},
  {    71,     8,     8},{    94,     8,   130},{    95,     8,     7},
  {   226,     8,    54},{   228,     8,   128},{   229,     8,    35},
  {   232,     8,    78},{    86,     9,    87},{    87,     9,    11},
  {   109,     9,   110},{   176,     9,   142},{   180,     9,   140},
  {   181,     9,    10},{   422,     9,   138},{   423,     9,    85},
  {   455,     9,   136},{   467,     9,     9},{   472,     9,    60},
  {   473,     9,    36},{   475,     9,   134},{   497,     9,    83},
  {   168,    10,   152},{   170,    10,    91},{   217,    10,   150},
  {   281,    10,   114},{   283,    10,   148},{   354,    10,    14},
  {   357,    10,    69},{   358,    10,    38},{   365,    10,    13},
  {   366,    10,   146},{   909,    10,    89},{   933,    10,    55},
  {   949,    10,    12},{   992,    10,    48},{   993,    10,    65},
  {   997,    10,    37},{   998,    10,   144},{   338,    11,    40},
  {   342,    11,    19},{   432,    11,    97},{   433,    11,   162},
  {   561,    11,   160},{   565,    11,   117},{   710,    11,    18},
  {   712,    11,    95},{   713,    11,    56},{   728,    11,    61},
  {   734,    11,   158},{   735,    11,    93},{  1681,    11,    17},
  {  1683,    11,    73},{  1684,    11,    39},{  1686,    11,   156},
  {  1817,    11,    16},{  1865,    11,   154},{  1897,    11,    49},
  {  1998,    11,    15},{   678,    12,    25},{  1121,    12,   105},
  {  1128,    12,    24},{  1129,    12,   170},{  1423,    12,    79},
  {  1436,    12,    66},{  1438,    12,    23},{  1439,    12,    41},
  {  1458,    12,   168},{  3360,    12,    22},{  3364,    12,   120},
  {  3370,    12,   103},{  3371,    12,   164},{  3374,    12,    21},
  {  3375,    12,   166},{  3633,    12,    50},{  3728,    12,   111},
  {  3792,    12,   101},{  3984,    12,    76},{  3986,    12,    20},
  {  3999,    12,    99},{  1358,    13,   112},{  1359,    13,   125},
  {  1372,    13,    52},{  1373,    13,    31},{  1374,    13,    44},
  {  1375,    13,   108},{  2240,    13,    30},{  2241,    13,   173},
  {  2845,    13,    29},{  2874,    13,    82},{  2918,    13,   115},
  {  2919,    13,   107},{  6722,    13,   172},{  6723,    13,    28},
  {  6731,    13,    43},{  7264,    13,    27},{  7459,    13,    70},
  {  7586,    13,    26},{  7970,    13,   123},{  7971,    13,    57},
  {  7974,    13,    51},{  7975,    13,    62},{  7996,    13,    42},
  {  5688,    14,    71},{  5750,    14,    86},{ 13460,    14,    63},
  { 14531,    14,    67},{ 14916,    14,   127},{ 14917,    14,    74},
  { 15174,    14,    84},{ 15175,    14,    58},{ 11379,    15,   133},
  { 11503,    15,    80},{ 26922,    15,    88},{ 26923,    15,   137},
  { 29061,    15,   131},{ 31989,    15,   118},{ 31990,    15,    77},
  { 31991,    15,   129},{ 22757,    16,   139},{ 23005,    16,   135},
  { 58121,    16,    90},{ 63977,    16,   121},{ 45513,    17,   143},
  { 46009,    17,    94},{116241,    17,    92},{127952,    17,   141},
  { 91024,    18,    98},{ 92016,    18,   145},{ 92017,    18,   100},
  {232480,    18,    96},{255906,    18,   147},{182051,    19,   153},
  {464963,    19,   102},{364101,    20,   157},{929924,    20,   155},
  {1023628,    20,   104},{1023629,    20,   149},
  {1023630,    20,   106},{1023631,    20,   151},{728200,    21,   159},
  {1859850,    21,   161},{1456402,    22,   169},
  {1456403,    22,   167},{3719703,    22,   165},
  {7439404,    23,   171},{7439405,    23,   163}
};

const vc1DEC3DH_sRunLevel vc1DEC_High_Rate_Inter_Run_Level [174] = /* Table 221 */
{
  {     0,     1,     0},{     0,     2,     0},{     0,     3,     0},
  {     0,     4,     0},{     0,     5,     0},{     0,     6,     0},
  {     0,     7,     0},{     0,     8,     0},{     0,     9,     0},
  {     0,    10,     0},{     0,    11,     0},{     0,    12,     0},
  {     0,    13,     0},{     0,    14,     0},{     0,    15,     0},
  {     0,    16,     0},{     0,    17,     0},{     0,    18,     0},
  {     0,    19,     0},{     0,    20,     0},{     0,    21,     0},
  {     0,    22,     0},{     0,    23,     0},{     0,    24,     0},
  {     0,    25,     0},{     0,    26,     0},{     0,    27,     0},
  {     0,    28,     0},{     0,    29,     0},{     0,    30,     0},
  {     0,    31,     0},{     0,    32,     0},{     1,     1,     0},
  {     1,     2,     0},{     1,     3,     0},{     1,     4,     0},
  {     1,     5,     0},{     1,     6,     0},{     1,     7,     0},
  {     1,     8,     0},{     1,     9,     0},{     1,    10,     0},
  {     1,    11,     0},{     1,    12,     0},{     1,    13,     0},
  {     2,     1,     0},{     2,     2,     0},{     2,     3,     0},
  {     2,     4,     0},{     2,     5,     0},{     2,     6,     0},
  {     2,     7,     0},{     2,     8,     0},{     3,     1,     0},
  {     3,     2,     0},{     3,     3,     0},{     3,     4,     0},
  {     3,     5,     0},{     3,     6,     0},{     4,     1,     0},
  {     4,     2,     0},{     4,     3,     0},{     4,     4,     0},
  {     4,     5,     0},{     5,     1,     0},{     5,     2,     0},
  {     5,     3,     0},{     5,     4,     0},{     6,     1,     0},
  {     6,     2,     0},{     6,     3,     0},{     6,     4,     0},
  {     7,     1,     0},{     7,     2,     0},{     7,     3,     0},
  {     8,     1,     0},{     8,     2,     0},{     8,     3,     0},
  {     9,     1,     0},{     9,     2,     0},{     9,     3,     0},
  {    10,     1,     0},{    10,     2,     0},{    11,     1,     0},
  {    11,     2,     0},{    12,     1,     0},{    12,     2,     0},
  {    13,     1,     0},{    13,     2,     0},{    14,     1,     0},
  {    14,     2,     0},{    15,     1,     0},{    15,     2,     0},
  {    16,     1,     0},{    16,     2,     0},{    17,     1,     0},
  {    17,     2,     0},{    18,     1,     0},{    18,     2,     0},
  {    19,     1,     0},{    19,     2,     0},{    20,     1,     0},
  {    20,     2,     0},{    21,     1,     0},{    21,     2,     0},
  {    22,     1,     0},{    22,     2,     0},{    23,     1,     0},
  {    24,     1,     0},{     0,     1,     1},{     0,     2,     1},
  {     0,     3,     1},{     0,     4,     1},{     1,     1,     1},
  {     1,     2,     1},{     1,     3,     1},{     2,     1,     1},
  {     2,     2,     1},{     2,     3,     1},{     3,     1,     1},
  {     3,     2,     1},{     3,     3,     1},{     4,     1,     1},
  {     4,     2,     1},{     5,     1,     1},{     5,     2,     1},
  {     6,     1,     1},{     6,     2,     1},{     7,     1,     1},
  {     7,     2,     1},{     8,     1,     1},{     8,     2,     1},
  {     9,     1,     1},{     9,     2,     1},{    10,     1,     1},
  {    10,     2,     1},{    11,     1,     1},{    11,     2,     1},
  {    12,     1,     1},{    12,     2,     1},{    13,     1,     1},
  {    13,     2,     1},{    14,     1,     1},{    14,     2,     1},
  {    15,     1,     1},{    15,     2,     1},{    16,     1,     1},
  {    16,     2,     1},{    17,     1,     1},{    17,     2,     1},
  {    18,     1,     1},{    18,     2,     1},{    19,     1,     1},
  {    19,     2,     1},{    20,     1,     1},{    20,     2,     1},
  {    21,     1,     1},{    21,     2,     1},{    22,     1,     1},
  {    22,     2,     1},{    23,     1,     1},{    23,     2,     1},
  {    24,     1,     1},{    24,     2,     1},{    25,     1,     1},
  {    25,     2,     1},{    26,     1,     1},{    26,     2,     1},
  {    27,     1,     1},{    27,     2,     1},{    28,     1,     1},
  {    28,     2,     1},{    29,     1,     1},{    30,     1,     1}
};

/* End of decoder/vc1dec3dhtab.c */

