/*******************************************************************

This software module is provided in full accordance with SMPTE
Administrative Procedures.  
 
This software module was developed by ARM Ltd. under contract by 
Microsoft Corp, and provided by Microsoft Corp to SMPTE.  It was 
edited by:
             
< Placeholder for name/e-mail of other SMPTE members that contribute 
to this module in the future >
            
in the course of development of the SMPTE VC-1 test materials. This 
software module is an implementation of a part of one or more SMPTE 
VC-1 tools as specified by the SMPTE VC-1 standard. 
 
SMPTE gives users of the SMPTE VC-1 standard royalty-free copyright 
license to this software module or modifications thereof for use in 
hardware or software products claiming conformance to the SMPTE VC-1 
standard.  SMPTE does not give users a license under any patents 
relative to the SMPTE VC-1 standard or this software. 
 
Those intending to use this software module in hardware or software 
products are advised that its use may infringe existing patents. The 
companies that developed and provided the original software module, 
the subsequent editors and their companies, and SMPTE have no liability 
for use of this software module or modifications thereof in an 
implementation. 
 
Copyright is not released for non SMPTE VC-1 standard conforming 
products. 
 
The companies listed below retain full right to use their contributed 
code for their own purpose, assign or donate the code to a third party 
and to inhibit third parties from using the code for non SMPTE VC-1 
standard conforming products. 
 
Microsoft Corporation
< Placeholder for other companies whose employees contribute to this 
module in the future> 

This copyright notice must be included in all copies or derivative 
works. 
 
Copyright (c) 2004
******************************************************************/

/*
 * decoder/vc1decblktab.c: SMPTE VC-1 decoder data tables
 *
 *  
 */

/* Include basic types */
#include "vc1types.h"
/* Include any other type definitions that might be needed */
#include "vc1dec.h"
#include "vc1decbit.h"
#include "vc1dec3dh.h"
/* Include the declarations for this file */
#include "vc1decblktab.h"


const vc1DEC_sVLCCode vc1DEC_Low_Mot_Luminance_DC_Diff_VLC [121] = /* Table 166 */
{
  {     0,   120,    24},{     1,     1,     0},{     1,     2,     1},
  {     1,     4,     2},{     1,     5,     3},{     5,     5,     4},
  {     7,     5,     5},{     8,     6,     6},{    12,     6,     7},
  {     0,     7,     8},{     2,     7,     9},{    18,     7,    10},
  {    26,     7,    11},{     3,     8,    12},{     7,     8,    13},
  {    39,     8,    14},{    55,     8,    15},{     5,     9,    16},
  {    76,     9,    17},{   108,     9,    18},{   109,     9,    19},
  {     8,    10,    20},{    25,    10,    21},{    27,    10,    23},
  {   154,    10,    24},{   155,    10,    22},{    19,    11,    25},
  {    52,    11,    26},{    53,    11,    27},{    97,    12,    28},
  {    72,    13,    29},{    74,    13,    31},{   196,    13,    30},
  {   198,    13,    32},{   199,    13,    33},{   146,    14,    34},
  {   147,    14,    36},{   150,    14,    39},{   151,    14,    40},
  {   384,    14,    41},{   386,    14,    38},{   387,    14,    37},
  {   395,    14,    35},{   788,    15,    42},{   789,    15,    43},
  {  1540,    16,    45},{  1541,    16,    44},{  1542,    16,    46},
  {  3086,    17,    47},{197576,    23,    50},{197577,    23,    49},
  {197578,    23,    51},{197579,    23,    52},{197580,    23,    53},
  {197581,    23,    48},{197582,    23,    54},{197583,    23,    55},
  {197584,    23,    56},{197585,    23,    57},{197586,    23,    58},
  {197587,    23,    59},{197588,    23,    60},{197589,    23,    61},
  {197590,    23,    62},{197591,    23,    63},{197592,    23,    64},
  {197593,    23,    65},{197594,    23,    66},{197595,    23,    67},
  {197596,    23,    68},{197597,    23,    69},{197598,    23,    70},
  {197599,    23,    71},{197600,    23,    72},{197601,    23,    73},
  {197602,    23,    74},{197603,    23,    75},{197604,    23,    76},
  {197605,    23,    77},{197606,    23,    78},{197607,    23,    79},
  {197608,    23,    80},{197609,    23,    81},{197610,    23,    82},
  {197611,    23,    83},{197612,    23,    84},{197613,    23,    85},
  {197614,    23,    86},{197615,    23,    87},{197616,    23,    88},
  {197617,    23,    89},{197618,    23,    90},{197619,    23,    91},
  {197620,    23,    92},{197621,    23,    93},{197622,    23,    94},
  {197623,    23,    95},{197624,    23,    96},{197625,    23,    97},
  {197626,    23,    98},{197627,    23,    99},{197628,    23,   100},
  {197629,    23,   101},{197630,    23,   102},{197631,    23,   103},
  {395136,    24,   104},{395137,    24,   105},{395138,    24,   106},
  {395139,    24,   107},{395140,    24,   108},{395141,    24,   109},
  {395142,    24,   110},{395143,    24,   111},{395144,    24,   112},
  {395145,    24,   113},{395146,    24,   114},{395147,    24,   115},
  {395148,    24,   116},{395149,    24,   117},{395150,    24,   118},
  {395151,    24,ESCAPE}
};

const vc1DEC_sVLCCode vc1DEC_Low_Mot_Chroma_DC_Diff_VLC [121] = /* Table 167 */
{
  {     0,   120,    23},{     0,     2,     0},{     1,     2,     1},
  {     5,     3,     2},{     9,     4,     3},{    13,     4,     4},
  {    17,     5,     5},{    29,     5,     6},{    31,     5,     7},
  {    33,     6,     8},{    49,     6,     9},{    51,     6,    11},
  {    56,     6,    10},{    57,     6,    12},{    61,     6,    13},
  {    97,     7,    14},{   121,     7,    15},{   128,     8,    16},
  {   129,     8,    20},{   192,     8,    21},{   200,     8,    17},
  {   201,     8,    22},{   202,     8,    18},{   240,     8,    19},
  {   262,     9,    24},{   263,     9,    23},{   387,     9,    26},
  {   406,     9,    25},{   482,     9,    28},{   483,     9,    27},
  {   522,    10,    29},{   523,    10,    30},{  1040,    11,    38},
  {  1041,    11,    35},{  1042,    11,    32},{  1043,    11,    33},
  {  1545,    11,    31},{  1546,    11,    36},{  1547,    11,    34},
  {  1629,    11,    39},{  1630,    11,    40},{  1631,    11,    37},
  {  3088,    12,    42},{  3256,    12,    41},{  3257,    12,    43},
  {  6179,    13,    44},{ 12357,    14,    45},{ 24713,    15,    46},
  { 49424,    16,    47},{3163208,    22,    48},{3163209,    22,    49},
  {3163210,    22,    50},{3163211,    22,    51},
  {3163212,    22,    52},{3163213,    22,    53},
  {3163214,    22,    54},{3163215,    22,    55},
  {3163216,    22,    56},{3163217,    22,    57},
  {3163218,    22,    58},{3163219,    22,    59},
  {3163220,    22,    60},{3163221,    22,    61},
  {3163222,    22,    62},{3163223,    22,    63},
  {3163224,    22,    64},{3163225,    22,    65},
  {3163226,    22,    66},{3163227,    22,    67},
  {3163228,    22,    68},{3163229,    22,    69},
  {3163230,    22,    70},{3163231,    22,    71},
  {3163232,    22,    72},{3163233,    22,    73},
  {3163234,    22,    74},{3163235,    22,    75},
  {3163236,    22,    76},{3163237,    22,    77},
  {3163238,    22,    78},{3163239,    22,    79},
  {3163240,    22,    80},{3163241,    22,    81},
  {3163242,    22,    82},{3163243,    22,    83},
  {3163244,    22,    84},{3163245,    22,    85},
  {3163246,    22,    86},{3163247,    22,    87},
  {3163248,    22,    88},{3163249,    22,    89},
  {3163250,    22,    90},{3163251,    22,    91},
  {3163252,    22,    92},{3163253,    22,    93},
  {3163254,    22,    94},{3163255,    22,    95},
  {3163256,    22,    96},{3163257,    22,    97},
  {3163258,    22,    98},{3163259,    22,    99},
  {3163260,    22,   100},{3163261,    22,   101},
  {3163262,    22,   102},{3163263,    22,   103},
  {6326400,    23,   104},{6326401,    23,   105},
  {6326402,    23,   106},{6326403,    23,   107},
  {6326404,    23,   108},{6326405,    23,   109},
  {6326406,    23,   110},{6326407,    23,   111},
  {6326408,    23,   112},{6326409,    23,   113},
  {6326410,    23,   114},{6326411,    23,   115},
  {6326412,    23,   116},{6326413,    23,   117},
  {6326414,    23,   118},{6326415,    23,ESCAPE}
};

const vc1DEC_sVLCCode vc1DEC_High_Mot_Luminance_DC_Diff_VLC [121] = /* Table 168 */
{
  {     0,   120,    26},{     2,     2,     0},{     3,     2,     1},
  {     3,     3,     2},{     2,     4,     3},{     5,     4,     4},
  {     1,     5,     5},{     3,     5,     6},{     8,     5,     7},
  {     0,     6,     8},{     5,     6,     9},{    13,     6,    10},
  {    15,     6,    11},{    19,     6,    12},{     8,     7,    13},
  {    24,     7,    14},{    28,     7,    15},{    36,     7,    16},
  {     4,     8,    17},{     6,     8,    18},{    18,     8,    19},
  {    50,     8,    20},{    59,     8,    21},{    74,     8,    22},
  {    75,     8,    23},{    11,     9,    24},{    38,     9,    25},
  {    39,     9,    26},{   102,     9,    27},{   116,     9,    28},
  {   117,     9,    29},{    20,    10,    30},{    28,    10,    31},
  {    29,    10,    33},{    31,    10,    32},{    43,    11,    34},
  {    61,    11,    35},{   413,    11,    36},{   415,    11,    37},
  {    84,    12,    38},{   824,    12,    40},{   825,    12,    39},
  {   829,    12,    41},{   171,    13,    42},{   241,    13,    43},
  {   242,    13,    45},{  1656,    13,    44},{   340,    14,    48},
  {   480,    14,    46},{   481,    14,    47},{  3314,    14,    49},
  {   683,    15,    51},{   972,    15,    50},{   974,    15,    53},
  {  6630,    15,    54},{  6631,    15,    52},{  1364,    16,    55},
  {  1365,    16,    57},{  1951,    16,    56},{  3893,    17,    61},
  {  3895,    17,    59},{  3900,    17,    60},{  3901,    17,    58},
  {  7784,    18,    63},{  7789,    18,    62},{ 15571,    19,    65},
  { 15576,    19,    64},{ 15577,    19,    66},{ 31140,    20,    67},
  {996532,    25,    69},{996533,    25,    70},{996534,    25,    71},
  {996535,    25,    72},{996536,    25,    73},{996537,    25,    74},
  {996538,    25,    68},{996539,    25,    75},{996540,    25,    76},
  {996541,    25,    77},{996542,    25,    78},{996543,    25,    79},
  {1993024,    26,    80},{1993025,    26,    81},
  {1993026,    26,    82},{1993027,    26,    83},
  {1993028,    26,    84},{1993029,    26,    85},
  {1993030,    26,    86},{1993031,    26,    87},
  {1993032,    26,    88},{1993033,    26,    89},
  {1993034,    26,    90},{1993035,    26,    91},
  {1993036,    26,    92},{1993037,    26,    93},
  {1993038,    26,    94},{1993039,    26,    95},
  {1993040,    26,    96},{1993041,    26,    97},
  {1993042,    26,    98},{1993043,    26,    99},
  {1993044,    26,   100},{1993045,    26,   101},
  {1993046,    26,   102},{1993047,    26,   103},
  {1993048,    26,   104},{1993049,    26,   105},
  {1993050,    26,   106},{1993051,    26,   107},
  {1993052,    26,   108},{1993053,    26,   109},
  {1993054,    26,   110},{1993055,    26,   111},
  {1993056,    26,   112},{1993057,    26,   113},
  {1993058,    26,   114},{1993059,    26,   115},
  {1993060,    26,   116},{1993061,    26,   117},
  {1993062,    26,   118},{1993063,    26,ESCAPE}
};

const vc1DEC_sVLCCode vc1DEC_High_Mot_Chroma_DC_Diff_VLC [121] = /* Table 169 */
{
  {     0,   120,    25},{     0,     2,     0},{     1,     2,     1},
  {     4,     3,     2},{     7,     3,     3},{    11,     4,     4},
  {    13,     4,     5},{    21,     5,     6},{    40,     6,     7},
  {    48,     6,     8},{    50,     6,     9},{    82,     7,    10},
  {    98,     7,    11},{   102,     7,    12},{   166,     8,    13},
  {   198,     8,    14},{   207,     8,    15},{   335,     9,    16},
  {   398,     9,    17},{   412,     9,    18},{   669,    10,    19},
  {   826,    10,    20},{  1336,    11,    21},{  1596,    11,    22},
  {  1598,    11,    23},{  1599,    11,    24},{  1654,    11,    25},
  {  2675,    12,    26},{  3194,    12,    27},{  3311,    12,    28},
  {  5349,    13,    29},{  6621,    13,    30},{ 10696,    14,    31},
  { 10697,    14,    32},{ 13240,    14,    34},{ 13241,    14,    35},
  { 25560,    15,    37},{ 25565,    15,    33},{ 25566,    15,    42},
  { 25567,    15,    38},{ 51123,    16,    39},{ 51124,    16,    40},
  { 51125,    16,    41},{ 51126,    16,    36},{ 51127,    16,    43},
  { 51128,    16,    44},{ 51129,    16,    45},{102245,    17,    46},
  {204488,    18,    47},{13087304,    24,    48},
  {13087305,    24,    49},{13087306,    24,    50},
  {13087307,    24,    51},{13087308,    24,    52},
  {13087309,    24,    53},{13087310,    24,    54},
  {13087311,    24,    55},{13087312,    24,    56},
  {13087313,    24,    57},{13087314,    24,    58},
  {13087315,    24,    59},{13087316,    24,    60},
  {13087317,    24,    61},{13087318,    24,    62},
  {13087319,    24,    63},{13087320,    24,    64},
  {13087321,    24,    65},{13087322,    24,    66},
  {13087323,    24,    67},{13087324,    24,    68},
  {13087325,    24,    69},{13087326,    24,    70},
  {13087327,    24,    71},{13087328,    24,    72},
  {13087329,    24,    73},{13087330,    24,    74},
  {13087331,    24,    75},{13087332,    24,    76},
  {13087333,    24,    77},{13087334,    24,    78},
  {13087335,    24,    79},{13087336,    24,    80},
  {13087337,    24,    81},{13087338,    24,    82},
  {13087339,    24,    83},{13087340,    24,    84},
  {13087341,    24,    85},{13087342,    24,    86},
  {13087343,    24,    87},{13087344,    24,    88},
  {13087345,    24,    89},{13087346,    24,    90},
  {13087347,    24,    91},{13087348,    24,    92},
  {13087349,    24,    93},{13087350,    24,    94},
  {13087351,    24,    95},{13087352,    24,    96},
  {13087353,    24,    97},{13087354,    24,    98},
  {13087355,    24,    99},{13087356,    24,   100},
  {13087357,    24,   101},{13087358,    24,   102},
  {13087359,    24,   103},{26174592,    25,   104},
  {26174593,    25,   105},{26174594,    25,   106},
  {26174595,    25,   107},{26174596,    25,   108},
  {26174597,    25,   109},{26174598,    25,   110},
  {26174599,    25,   111},{26174600,    25,   112},
  {26174601,    25,   113},{26174602,    25,   114},
  {26174603,    25,   115},{26174604,    25,   116},
  {26174605,    25,   117},{26174606,    25,   118},
  {26174607,    25,ESCAPE}
};

/* End of decoder/vc1decblktab.c */

